## v86d 0.1.5.2

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	V86LIB = x86emu
 else
 	CFLAGS += -Ilibs/lrmi-0.10
-	LDFLAGS += -Llibs/lrmi-0.10 -static
+	LDFLAGS += -Llibs/lrmi-0.10 -static -Wl,-z,execheap
 	LDLIBS += -llrmi
 	V86OBJS = v86_lrmi.o
 	V86LIB = lrmi
