=== debian/changelog ===
v86d (0.1.10-5) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * debian/rules: Use dh_prep rather than "dh_clean -k".
  * Use set -e rather than passing -e on the shebang-line.
  * Bump debhelper from deprecated 7 to 13.
  * Switched to simplified dh based d/rules.
  * Added 04-hardening.patch to use CPPFLAGS for hardening.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 04 Jun 2024 09:16:20 +0200

v86d (0.1.10-4) unstable; urgency=medium

  * QA upload.
  * Install into /usr/sbin.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 21 Dec 2023 00:17:26 +0100

v86d (0.1.10-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #809062)

 -- Victor Henrique Amorim Cardoso <vcardoso@alunos.utfpr.edu.br>  Mon, 11 Dec 2023 23:08:14 -0300

v86d (0.1.10-2) unstable; urgency=medium

  * QA upload.
  * Source Format 3.0 (quilt).
  * Update debhelper to compat 7. (Closes: #965866)
  * Add missing rules targets. (Closes: #998975)

 -- Bastian Germann <bage@debian.org>  Tue, 16 May 2023 20:29:25 +0200

v86d (0.1.10-1) unstable; urgency=low

  * New upstream release
    + Fixes CVE-2011-1070: failure to validate netlink message sender
    + Closes: #619404
  * Droping patches imported from upstream:
    + 02_fix-parsing-of-OEM-descriptions.patch
    + 03_map-BIOS-with-PROT_WRITE.patch
  * Standards-Version: 3.9.2
  * Source Format 1.0.
  * Do not include random kernel headers in CFLAGS.
    + Adding 02_dont-include-kernel.patch.
    + Closes: #525415
  * Add manual_add_modules uvesafb to the initramfs-hook (thanks Ubuntu!)

 -- Evgeni Golov <evgeni@debian.org>  Tue, 26 Apr 2011 10:00:06 +0200

v86d (0.1.9-1) unstable; urgency=low

  * New upstream release. (Closes: #507325)
  * debian/rules:
    + Install misc/initramfs to /u/s/v86d (as requested by Dave Witbrodt).
    + Use dh_clean instead of rm -f in the clean target.
    + Use $(QUILT_STAMPFN) instead of patch, so configure isn't run twice.
    + Add $(CURDIR) to the direct install calls.
  * debian/patches:
    + Refresh 01_use-external-libx86.patch as upstream has changed the
      Makefile a bit.
    + Add 02_fix-parsing-of-OEM-descriptions.patch and
      03_map-BIOS-with-PROT_WRITE.patch from upstream git.
  * debian/README.Debian:
    + Note that uvesafb is in Debian's default kernels now.
    + Correctly document initrd usage.
    + uvesafb from recent kernels wants mode_option instead of mode.
  * debian/control:
    + Update my e-mail address.
    + Bump Standards-Version to 3.8.1.

 -- Evgeni Golov <evgeni@debian.org>  Thu, 23 Apr 2009 21:58:45 +0200

v86d (0.1.5.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control, debian/rules, debian/README.source:
    + Added quilt for patch managing.
  * debian/patches/01_use-external-libx86.patch, debian/patches/series:
    Added a patch for linking against libx86 (Closes: #489415).
    Patch by Guillem Jover <guillem@debian.org>, thanks!
  * debian/lintian-overrides, debian/rules:
    + Remove lintian override, it was never used and will never be.
  * debian/control, debian/initramfs-hook, debian/postinst, debian/postrm,
    debian/rules:
    + Added initramfs hook, inspired by the Ubuntu patch, thanks!
  * debian/control:
    + Removed reference to glibc, it's okay to build v86d against it.

 -- Evgeni Golov <sargentd@die-welt.net>  Wed, 23 Jul 2008 20:50:55 +0200

v86d (0.1.5-1) unstable; urgency=low

  * Initial release (Closes: #473176)

 -- Evgeni Golov <sargentd@die-welt.net>  Thu, 26 Jun 2008 00:32:00 +0200
