=== debian/control ===
Source: v86d
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libx86-dev,
               dh-exec,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/v86d
Vcs-Git: https://salsa.debian.org/debian/v86d.git

Package: v86d
Architecture: amd64 i386
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: initramfs-tools,
Description: daemon to run x86 code in an emulated environment
 v86d provides a backend for kernel drivers that need to execute
 x86 BIOS code. The code is executed in a controlled environment
 and the results are passed back to the kernel via the netlink
 interface.
 .
 v86d is needed by the uvesafb kernel module.
