=== debian/watch ===
version=4
http://dev.gentoo.org/~spock/projects/uvesafb/archive/ v86d-(.*)\.tar\.bz2
